org.keycloak.broker.oidc

## Class OIDCIdentityProvider.OIDCEndpoint

- java.lang.Object
- - org.keycloak.broker.oidc.AbstractOAuth2IdentityProvider.Endpoint
  - - org.keycloak.broker.oidc.OIDCIdentityProvider.OIDCEndpoint

- Direct Known Subclasses:
    KeycloakOIDCIdentityProvider.KeycloakEndpoint
  Enclosing class:
    OIDCIdentityProvider

      protected class OIDCIdentityProvider.OIDCEndpoint
      extends AbstractOAuth2IdentityProvider.Endpoint

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.broker.oidc.AbstractOAuth2IdentityProvider.Endpoint

      `callback, clientConnection, event, headers, httpRequest, realm, session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OIDCEndpoint(IdentityProvider.AuthenticationCallback callback, RealmModel realm, EventBuilder event)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SimpleHttp` | `generateTokenRequest(String authorizationCode)`
    `javax.ws.rs.core.Response` | `logoutResponse(String state)`

    - ### Methods inherited from class org.keycloak.broker.oidc.AbstractOAuth2IdentityProvider.Endpoint

      `authResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OIDCEndpoint

          public OIDCEndpoint(IdentityProvider.AuthenticationCallback callback,
                              RealmModel realm,
                              EventBuilder event)

  - ### Method Detail

    - #### generateTokenRequest

          public SimpleHttp generateTokenRequest(String authorizationCode)

      Overrides:
        `generateTokenRequest` in class `AbstractOAuth2IdentityProvider.Endpoint`

    - #### logoutResponse

          @GET
           @Path(value="logout_response")
          public javax.ws.rs.core.Response logoutResponse(@QueryParam(value="state")
                                                                                               String state)

Copyright © 2021 JBoss by Red Hat. All rights reserved.